/**
 * Copyright (C) 2019 LinkedIn Corp.
 * <p>
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * <p>
 * http://www.apache.org/licenses/LICENSE-2.0
 * <p>
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.linkedin.android.testbutler;

import android.accessibilityservice.AccessibilityServiceInfo;
import android.os.RemoteException;

import androidx.annotation.NonNull;

import java.util.List;

/**
 * Interface that returns the list of installed {@link AccessibilityServiceInfo} objects on the
 * device or emulator.
 */
public interface InstalledAccessibilityServiceProvider {

    @NonNull
    List<AccessibilityServiceInfo> getInstalledAccessibilityServiceList() throws RemoteException;

}
